## isbg 2.3.0

=== debian/changelog ===
isbg (2.3.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #944520)
  * Update Standards-Version to 4.5.0.0 (no changes needed).
  * Fix failing testsuite (and autopkgtests). (Closes: #946145)
  * d/patches: refresh 0001.
  * d/control: add a dependency on sphinxdoc.
  * d/source/lintian-overrides: delete unused overrides.
  * d/gitlab-ci.yml: rename to salsa-ci.yml.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 08 Feb 2020 14:29:40 -0500

isbg (2.2.1-2) unstable; urgency=medium

  * Upstream VCS migrated to gitlab.com.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 18 Nov 2019 16:22:40 -0500

isbg (2.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #944520)
  * d/isbg.examples: Package examples.
  * d/tests: use upstream unit tests for autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 17 Nov 2019 11:01:17 -0500

isbg (2.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #587458)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 20 Oct 2019 04:00:29 -0400
