=== debian/control ===
Source: isbg
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Taowa Munene-Tardif <taowa@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-setuptools,
               python3-sphinx-rtd-theme,
               python3-doc,
               python3-docopt,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-recommonmark,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/isbg.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/isbg
Homepage: https://gitlab.com/isbg/isbg
Testsuite: autopkgtest-pkg-pybuild

Package: isbg
Architecture: all
Depends: ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends},
         python3-xdg,
         python3-chardet,
         spamassassin,
Description: scan spam with SpamAssassin via IMAP
 isbg is a script that makes it easy to scan an IMAP inbox for spam
 using SpamAssassin and get your spam moved to another folder.
 .
 Unlike the normal mode of deployments for SpamAssassin, isbg does not
 need to be involved in mail delivery, and can run on completely
 different machines to where your mailbox actually is. So this is the
 perfect tool to take good care of your ISP mailbox without having to
 leave it.
