=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = isbg
export PYBUILD_TEST_ARGS=-m "not spamassassin"

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	$(MAKE) docs man

execute_before_dh_installdocs:
	$(MAKE) docs html

execute_before_dh_auto_clean:
	$(MAKE) docs-clean
