=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
https://gitlab.com/isbg/isbg \
refs/tags/([\d\.]+)
